<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);

include 'inclydings/antixak.php';
include 'inclydings/zag.php';
include 'inclydings/ini.php';
$_title = 'Lineage2';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("inclydings/sesi.php");
if (isset($user)) {

switch($go) {

default:
echo "<form action=\"rek.php?$sd&go=go\" method=\"post\">";

echo "Кого Рекомендуем?<br/>";
echo "<input name=\"nick\" maxlength=\"15\" title=\"nick\" emptyok=\"true\"/><br/>";
echo '<input type="submit" value="Продолжить" /></form>';

break;

case 'go':

$nick = htmlspecialchars(stripslashes($nick));

if($nick==$log){echo"Вы не можете рекомендовать сами себя.";include_once"inclydings/down.php"; exit; }

if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такого игрока не существует.";include_once"inclydings/down.php"; exit; }

require_once "inclydings/antirek.php";
if (CheckIP ()){ echo"[Guard Meps]<br/>Рекомендовать можно только раз в 24 часа!"; include_once"inclydings/down.php"; exit;}

if(!@file("L2dbnam/esql2db/rating/rek/$nick.dat")){

$text="1||";

$fp=fopen("L2dbnam/esql2db/rating/rek/$nick.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


$fp=fopen("L2dbnam/esql2db/rek/$nick.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"Вас рекомендовал $log||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


}else{

$file=@file("L2dbnam/esql2db/rating/rek/$nick.dat");
$data=explode("||",$file[0]);

$rek=$data[0]+1;

$text="$rek||";

$fp=fopen("L2dbnam/esql2db/rating/rek/$nick.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


$fp=fopen("L2dbnam/esql2db/rek/$nick.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"Вас рекомендовал $log||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


}

echo"Вы дали рекомендацию игроку $nick";

break;

case 'rules':

echo"<b>Запрещено</b><br/><b>1.</b> Продавать рекомендации<br/>";
echo"<b>2.</b> Запрещено обмениваться рекомендациями.<br/>";
echo"Рекомендации давать <b>ТОЛЬКО</b> за хорошие поступки игрока.<br/><br/>
<b>При нарушении 1 и 2 пункта блокируются оба персонажа.</b>
";

break;
}
}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}

include_once"inclydings/down.php";
?>
